Package org.apache.storm.validation

## Class ConfigValidation.ListEntryCustomValidator

- java.lang.Object
- - org.apache.storm.validation.ConfigValidation.Validator
  - - org.apache.storm.validation.ConfigValidation.ListEntryCustomValidator

- Enclosing class:
    ConfigValidation

      public static class ConfigValidation.ListEntryCustomValidator
      extends ConfigValidation.Validator

  Validates each entry in a list against a list of custom Validators. Each validator in the list of validators must inherit or be an instance of Validator class

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ListEntryCustomValidator​(Map<String,​Object> params)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `validateField​(String name, Class<?>[] validators, Object o)` |
    `void` | `validateField​(String name, Object o)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListEntryCustomValidator

          public ListEntryCustomValidator​(Map<String,​Object> params)

  - ### Method Detail

    - #### validateField

          public static void validateField​(String name,
                                           Class<?>[] validators,
                                           Object o)
                                    throws IllegalAccessException,
                                           InstantiationException,
                                           NoSuchMethodException,
                                           InvocationTargetException

      Throws:
        `IllegalAccessException`
        `InstantiationException`
        `NoSuchMethodException`
        `InvocationTargetException`

    - #### validateField

          public void validateField​(String name,
                                    Object o)

      Specified by:
        `validateField` in class `ConfigValidation.Validator`